import React, { useState, useEffect } from 'react';
import { Form, Modal, Space, Divider, Radio, notification, Checkbox } from 'antd';
import {
  LoadEventType, LoadEventFields
} from '@/services/platform/bs'
import styles from './index.less'
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible } = props;
  const [loading, setLoading] = useState(false);
  const [value, setValue] = useState('');
  const [checkValue, setCheckValue] = useState([]);
  const [form] = Form.useForm();
  const { Item } = Form;
  // 提交
  const onSubmit = () => {
    type ==='rule'? callBackSubmit(`${value === '无' ||value === ''  ? '' : value + ','}${checkValue.join(',')}`):callBackSubmit();
  };


  useEffect(() => {
    if (type != '' && type ==='rule') {
      setValue(formObj.numerical)
      setCheckValue(formObj.rule)
      // getTableInfo({ tableName: formObj.tableName }).then(res => {
      //   res.data.root && res.data.root.length && form.setFieldsValue({ ...res.data.root[0]})
      //   setTableID(res.data.root[0].tableID)
      // })
    }
    else{
      LoadEventType().then(res=>{
        console.log('res',res);
      })
    }

  }, [visible]);


  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };

  const handleChange = (e) => {
    setValue(e.target.value)
    if (e.target.value === '无') {
      setCheckValue([])
    }
  }
  const onChange = (e) => {
    setCheckValue(e)
    if(e.length&& value=='无'){
      setValue('')
    }
  }
  return (
    <Modal
      title={type ==='rule'?'选择验证规则':'字段集选择'}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '250px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      {visible && type ==='rule'&& (
        <>
          <Radio.Group onChange={handleChange} value={value}>
            <Space direction="vertical">
              <Radio value='无'>无(清空选中)</Radio>
              <Radio value='number'>数值(number)</Radio>
              <Radio value='digits'>整数(digits)</Radio>
              <Radio value='email'>邮箱(email)</Radio>
              <Radio value='identity'>身份证号(identity)</Radio>
              <Radio value='mobile'>手机号(mobile)</Radio>
              <Radio value='bankAccount'>银行卡号(bankAccount)</Radio>
              <Radio value='timeControl'>时间控制(timeControl)</Radio>
            </Space>
          </Radio.Group>
          <Checkbox.Group style={{ width: '100%', marginTop: '1rem' }} onChange={onChange} value={checkValue}>
            <Space direction="vertical">
              <Checkbox value="required">必填(required)</Checkbox>
              <Checkbox value="emphasis">强调(emphasis)</Checkbox>
              <Checkbox value="sensitive">敏感(sensitive)</Checkbox>
            </Space>
          </Checkbox.Group>
        </>
      )}
      {visible && type ==='characteristics'&&(
        <div className={styles.listCard}>
          <div className={styles.cardItem}>
            <Divider orientation="left">待选字段列表</Divider>
            <div className={styles.cardContent}></div>
          </div>
          <div className={styles.cardItem}>
            <Divider orientation="left">已选字段列表</Divider>
            <div className={styles.cardContent}></div>
          </div>
        </div>
      )

      }
    </Modal>
  );
};
export default AddModal;
